diff --git a/src/core.c b/src/core.c
index c50cd5599e..bb29c2b9c9 100644
--- a/src/core.c
+++ b/src/core.c
@@ -2111,7 +2111,7 @@ const char *GetDirectoryPath(const char *filePath)
     if (lastSlash)
     {
         // NOTE: Be careful, strncpy() is not safe, it does not care about '\0'
-        strncpy(dirPath + ((filePath[1] != ':')? 2 : 0), filePath, strlen(filePath) - (strlen(lastSlash) - 1));
+        memcpy(dirPath + ((filePath[1] != ':')? 2 : 0), filePath, strlen(filePath) - (strlen(lastSlash) - 1));
         dirPath[strlen(filePath) - strlen(lastSlash) + ((filePath[1] != ':')? 2 : 0)] = '\0';  // Add '\0' manually
     }
 
